
const APP_DISPLAY_NAME    = "OperaView";
const APP_NAME            = "operaview";
const APP_PACKAGE         = "operaview.mozdev.org";
const APP_VERSION         = "0.4.2";

const APP_JAR_FILE        = "operaview.jar";
const APP_CONTENT_FOLDER  = "content/";
const APP_LOCALE          = "en-US";
const APP_LOCALE_FOLDER   = "locale/" + APP_LOCALE + "/operaview/";
const APP_LOCALE_L        = "pl-PL";
const APP_LOCALE_L_FOLDER = "locale/" + APP_LOCALE_L + "/operaview/";
const APP_LOCALE_I        = "it-IT";
const APP_LOCALE_I_FOLDER = "locale/" + APP_LOCALE_I + "/operaview/";
const APP_LOCALE_D        = "de-DE";
const APP_LOCALE_D_FOLDER = "locale/" + APP_LOCALE_D + "/operaview/";
const APP_LOCALE_J        = "ja-JP";
const APP_LOCALE_J_FOLDER = "locale/" + APP_LOCALE_J + "/operaview/";
const APP_LOCALE_F        = "fr-FR";
const APP_LOCALE_F_FOLDER = "locale/" + APP_LOCALE_F + "/operaview/";
const APP_LOCALE_K        = "ko-KR";
const APP_LOCALE_K_FOLDER = "locale/" + APP_LOCALE_K + "/operaview/";
const APP_LOCALE_N        = "nl-NL";
const APP_LOCALE_N_FOLDER = "locale/" + APP_LOCALE_N + "/operaview/";
const APP_LOCALE_S        = "sk-SK";
const APP_LOCALE_S_FOLDER = "locale/" + APP_LOCALE_S + "/operaview/";
const APP_LOCALE_C        = "cs-CZ";
const APP_LOCALE_C_FOLDER = "locale/" + APP_LOCALE_C + "/operaview/";
const APP_LOCALE_H        = "hu-HU";
const APP_LOCALE_H_FOLDER = "locale/" + APP_LOCALE_H + "/operaview/";
const APP_LOCALE_R        = "ro-RO";
const APP_LOCALE_R_FOLDER = "locale/" + APP_LOCALE_R + "/operaview/";
const APP_LOCALE_T        = "zh-TW";
const APP_LOCALE_T_FOLDER = "locale/" + APP_LOCALE_T + "/operaview/";

var chromef, chromeFlag;

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var messages = loadResources('locale.inf');

var APP_SUCCESS_MESSAGE = messages.message;

chromef = getFolder("Profile", "chrome");
chromeFlag = PROFILE_CHROME;

setPackageFolder(chromef);
var err = addFile("Paul Roub", APP_VERSION, "chrome/" + APP_JAR_FILE, chromef, null);

if (err == SUCCESS) 
{ 
	var jar = getFolder(chromef, APP_JAR_FILE);

	registerChrome(CONTENT | chromeFlag, jar, APP_CONTENT_FOLDER);
	 registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_L_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_I_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_D_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_J_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_F_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_K_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_N_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_S_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_C_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_H_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_R_FOLDER);
   registerChrome(LOCALE  | chromeFlag, jar, APP_LOCALE_T_FOLDER);

	err = performInstall();

	if(err == SUCCESS || error == 999) 
   {
		alert(APP_DISPLAY_NAME + " " + APP_VERSION + " " + messages.success
			+APP_SUCCESS_MESSAGE
			+ messages.restart);
	} 
   else 
   { 
		alert(messages.failed + " " + err);
		cancelInstall(err);
	}
} 
else 
{
	alert(messages.failedToCreate + " " + APP_JAR_FILE
		+ messages.writeAccess);
	cancelInstall(err);
}